﻿@model RaamatukoguAPP11.Raamat

@{
    ViewBag.Title = "VaataRaamat";
}

<h2>Raamatu andmed</h2>

<div>
    <h4>Raamat</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Isbn)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Isbn)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Tiitel)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Tiitel)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Autor)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Autor)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Aasta)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Aasta)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Pilt)
        </dt>

        <dd>
            @*@Html.DisplayFor(model => model.Pilt)*@
            <img src='@Url.Action( "RaamatuPilt", "Raamats", new { id = Model.Kood } )' height="300" />
        </dd>

        <dt>
            Kategooria
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Kategooria.Kategooria1)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Muuda", "Edit", new { id = Model.Kood }) |
    @Html.ActionLink("Raamatute nimekiri", "Index")
</p>
